﻿ul.labprogress {
  margin-top: 35px;
  margin-bottom: 35px;
  list-style: none;
}

ul.labprogress:after {
  clear: both;
  content: "";
  display: table;
}

ul.labprogress li {
  display: block;
  float: left;
  margin: 0px;
  padding: 0px;
}

ul.labprogress li span {
  cursor: pointer;
  display: inline-block;
  background-color: #336699;
  color: white;
  line-height: 40px;
  padding: 0 35px 0 50px;
  position: relative;
}

ul.labprogress li span:after, ul.labprogress li span:before {
  display: block;
  position: absolute;
  content: "";
  background-color: #336699;
}

ul.labprogress li span:after {
  right: -15px;
  height: 28.5px;
  width: 28.5px;
  top: 4px;
  z-index: 5;
  transform: rotate(45deg);
  border-right: 3px white solid;
  border-top: 3px white solid;
  border-radius: 3px;
}

ul.labprogress li span:before {
  right: 3px;
  width: 30px;
  height: 40px;
  z-index: 6;
}

ul.labprogress li span.completed {
  background-color: #009966;
  color: white;
}

ul.labprogress li span.completed:after, ul.labprogress li span.completed:before {
  background-color: #009966;
}

ul.labprogress li span.current {
  background-color: #0059b3;
  animation-duration: 1s;
  animation-name: pulse, glowPulse;
  animation-direction: alternate;
  animation-iteration-count: infinite;
}

ul.labprogress li span.current:after, ul.labprogress li span.current:before {
  background-color: #0059b3;
  animation-duration: 1s;
  animation-name: pulse;
  animation-direction: alternate;
  animation-iteration-count: infinite;
}

ul.labprogress li span.current:after {
  animation-name: pulse;
}

ul.labprogress li:first-child span {
  padding: 0 35px;
  -moz-border-radius-topleft: 3px;
  -webkit-border-top-left-radius: 3px;
  border-top-left-radius: 3px;
  -moz-border-radius-bottomleft: 3px;
  -webkit-border-bottom-left-radius: 3px;
  border-bottom-left-radius: 3px;
}

ul.labprogress li:last-child span {
  -moz-border-radius-topright: 3px;
  -webkit-border-top-right-radius: 3px;
  border-top-right-radius: 3px;
  -moz-border-radius-bottomright: 3px;
  -webkit-border-bottom-right-radius: 3px;
  border-bottom-right-radius: 3px;
}

ul.labprogress li:last-child span:after {
  display: none;
}

@keyframes pulse {
  from {
    background-color: #006699;
  }
  to {
    background-color: #2e9fe0;
  }
}
